Subject: bug#1944: typos (and other bugs) in Org mode's doc (in v23.0.6) (9)

From: Bastien <[email-masked]>
Date: Sun, 18 Jan 2009 01:57:14 +0100

Hi Peter,

Peter Tury <[email-masked]> writes:

> in (info "(org) Remember templates") 'fo' is written instead of 'for'(?):
> "and exclude templates fo which this condition is not fulfilled"

Fixed.

> 2)
> in (info "(org) Agenda commands") 'where' is written instead of 'were' in
> "In Logbook mode, entries that where marked DONE while logging was on
> (variable `org-log-done') are shown in the agenda, as are entries that
> have been clocked on that day."

Fixed.

> 3)
> in the same node (=Agenda commands) the word 'archieved'(?) is missing -- maybe:
> "In archives mode, trees that are marked [archieved?] are also scanned
> when producing the agenda."

Fixed.  Carsten, can you double-check this?

> 4)
> in (info "(org) Categories") this sentence is wrong -- maybe; at least
> I can't interpret it...:
> "If you would like to have a special CATEGORY for a single entry or a
> (sub)tree, give the entry a `:CATEGORY:' property with the location as
> the value."
>
> It might be better this way:
> "If you would like to have a special CATEGORY for a single entry or a
> (sub)tree, give the entry/(sub)tree a `:CATEGORY:' property with the
> special CATEGORY you want to apply as the value."??

Mmhh...   not sure the second version is clearer.  I find the first one
quite all right.   Carsten.

> 5)
> (info "(org) Agenda commands") does not mention iCalendar (.ics)
> possibility at exporting (C-x C-w) -- contrary to (info "(org)
> Exporting Agenda Views"). I suggest not to detail exporting in "Agenda
> commands": just put a link to the node "Exporting Agenda Views"
> instead.

In the git version of Org, C-x C-w is mentionned. 

> 6)
> The link http://orgmode.org/worg/code/org-info-js/org-info.js.html in
> (info "(org) Javascript support") does not work for me now.

Fixed.

> 7)
> I am not sure if this is a bug in Org's doc or (Info of) Emacs 23 or
> Ubuntu (8.10) or what, but the headline of (info "(org) Extensions")
> looks like this for me:
>
> F\303\274ggel\303\251k: A Extensions
> ************************
>
> The first word tries to be in Hungarian (=my language in Ubuntu) and
> should look like this: "Függelék". In fact, if I copy-paste it here,
> it arrives in a good form into my Firefox (gmail), so those char.codes
> work somehow...
>
> (Naturally(?) the same problem comes for (info "(org) Hacking").)

Can't reproduce this...

> 8)
> Line breaking is wrong in (info "(org) Extensions in the contrib
> directory"). It seems as if its source would have been indented
> manually for lines with different length: they contain "       "
> inside lines. Here is an example, but please note that this node
> contains a lot of other similarly wrongly formatted lines:
>
> `org-annotation-helper.el' by Bastien Guerry and Daniel E. German
>      Call remember directly from Firefox/Opera, or from Adobe Reader.
>          When activating a special link or bookmark, Emacs receives a
>      trigger to       create a note with a link back to the website.
>      Requires some setup, a       detailes description is in
>      `contrib/packages/org-annotation-helper'.

Fixed.

> 9)
> (info "(org) Other extensions") looks funny :-)

I guess it's a feature, not a bug :)

> Thanks for org-mode anyway,

You own this to Carsten! 

Thanks very much for the careful feedback,

-- 
 Bastien